<cfcomponent hint="Component for Dump Example">
	<cfset this.intTestVar=22>
	
	<cffunction name="fTest" access="public" hint="test function in component">
		<cfargument name="argOne" type="numeric" required="yes" hint="required variable">
		
		<!--- set the instance var (bsoylu 10-13-2009) --->
		<cfset this.intTestVar= Arguments.argOne>
	
	</cffunction>	
	
	
	<cffunction name="fGetBooks" access="private" returntype="query" hint="get books from example db">
		<cfset var getBooks="">
		
		<cfquery name="getBooks" datasource="cfbookclub">
			SELECT *
			FROM Books		
		</cfquery>	
	
		<cfreturn getBooks>
	</cffunction>
	
	
	<cffunction name="fGetMembers"  access="public" returntype="query" hint="get members from example db">
		<cfset var getMembers="">
		
		<cfquery name="getMembers" datasource="cfbookclub">
			SELECT memberid, firstname, lastname, email, isadmin	
			FROM members
		</cfquery>
	
		<cfreturn getMembers>
	</cffunction>	

	
	<cffunction name="fIndirect" access="public" returntype="query" hint="calls private function to retrieve books">
		<cfreturn fGetBooks()>
	</cffunction>
</cfcomponent>